## doris 5.0.3~beta+dfsg

=== envisat_tools/Makefile ===
#########################################
### Makefile to compile envisat tools ###
### based on BEST toolbox of ESA      ###
### see source code for info          ###
### i did a quick hack, but am not    ###
### familar with c (but did not want  ###
### to mix it with c++ for such a     ###
### simple program).                  ###
### Bert Kampes, 15-JUN-2003          ###
###                                   ###
### Support for ERS in Envisat Format ###
### Mahmut Arikan, 19-Oct-2010        ###
###                                   ###
#########################################


### Check if you agree with the options below (install_dir OK?)
### then simply type: "make install"
SHELL = 	/bin/sh
CC = 		gcc
#CFLAGS =	-O3
#CFLAGS =        -m32         # for 64-bit systems, it requires compatibility lib32, no need for epr_api v2.2
LFLAGS =	-lm
INSTALL_DIR =	/home/gertmulder/bin/doris/doris_v5_wu_branch



#############################################################
### THERE SHOULD BE NOTHING YOU HAVE TO CHANGE BELOW HERE ###
#############################################################
LIB_SRC = 	epr_api-2.2/src/epr_api.c \
		epr_api-2.2/src/epr_band.c \
		epr_api-2.2/src/epr_bitmask.c \
		epr_api-2.2/src/epr_core.c \
		epr_api-2.2/src/epr_dataset.c \
		epr_api-2.2/src/epr_dddb.c \
		epr_api-2.2/src/epr_dsd.c \
		epr_api-2.2/src/epr_dump.c \
		epr_api-2.2/src/epr_field.c \
		epr_api-2.2/src/epr_msph.c \
		epr_api-2.2/src/epr_param.c \
		epr_api-2.2/src/epr_product.c \
		epr_api-2.2/src/epr_ptrarray.c \
		epr_api-2.2/src/epr_record.c \
		epr_api-2.2/src/epr_string.c \
		epr_api-2.2/src/epr_swap.c \
		epr_api-2.2/src/epr_typconv.c

### targets ###
default: 	envisat_dump_header envisat_dump_data envisat_dump_HH envisat_dump_VV  
### compile envisat_dump_header program (dumps envisat header info to stdout) ###
envisat_dump_header:	BEST
		$(CC) $(CFLAGS) $(LFLAGS) \
		-o envisat_dump_header \
		epr_api-2.2/src/*.o \
		envisat_dump_header.c

### compile envisat_dump_data program (dumps envisat slc short int data to file) ###
envisat_dump_data:	BEST
		$(CC) $(CFLAGS) $(LFLAGS) \
		-o envisat_dump_data \
		epr_api-2.2/src/*.o \
		envisat_dump_data.c

### compile envisat_dump_data program (dumps envisat slc short int data to file) ###
envisat_dump_HH:  BEST
		$(CC) $(CFLAGS) $(LFLAGS) \
    -o envisat_dump_HH \
    epr_api-2.2/src/*.o \
    envisat_dump_HH.c

### compile envisat_dump_data program (dumps envisat slc short int data to file) ###
envisat_dump_VV:  BEST
		$(CC) $(CFLAGS) $(LFLAGS) \
    -o envisat_dump_VV \
    epr_api-2.2/src/*.o \
    envisat_dump_VV.c



### create object code BEST library functions ###
BEST:           $(LIB_SRC)
		(cd epr_api-2.2/src/; make)


### installer ###
PROGS =		envisat_dump_header envisat_dump_data envisat_dump_HH envisat_dump_VV
SCRIPTS =	envisat_dump_header2doris.csh
install:	$(PROGS) $(SCRIPTS)
		@echo "installing envisat tools..."
		cp -f $(PROGS) $(SCRIPTS) $(INSTALL_DIR)/.
		#if test -d /cygdrive/c/cygwin; then \
                #  echo "* cygwin detected"; \
		#  cp -f envisat_dump_header $(INSTALL_DIR)/.; \
		#  cp -f envisat_dump_data $(INSTALL_DIR)/.; \
		#  cp -f envisat_dump_header.exe $(INSTALL_DIR)/.; \
		#  cp -f envisat_dump_data.exe $(INSTALL_DIR)/.; \
		#fi;
		make cleaner;
		@echo " "
		@echo "------------------------------------"
		@echo "FINISHED INSTALLING ENVISAT TOOLS..."
		@echo " executables in: $(INSTALL_DIR)"
		@echo "------------------------------------"
### cleaners ###
uninstall:	cleaner
		@echo "un-installing envisat tools in $(INSTALL_DIR)..."
		(cd $(INSTALL_DIR); rm -f $(PROGS) $(SCRIPTS))
		@echo "now you can rm this directory yourself"
		@echo "for a full uninstall"
		@echo " "
clean:		
		@echo "cleaning envisat tools..."
		(cd epr_api-2.2/src/; make clean)
		rm -f *.o
cleaner:	clean
		rm -f $(PROGS)

### EOF.

=== sar_tools/Makefile ===
#################################################################
# Makefile for HP aCC c++ programs SAR tools			#
# should work with other compilers as well			#
# "make [all]"		all exe's				#
# "make prog.o"		compile only prog.o			#
# "make prog"		compile only prog			#
# "make clean"		remove junk caused by makes		#
# "make cleaner"	remove all caused by makes 		#
# "make uninstall"	remove all caused by makes (incl. inst)	#
# "make install"	installs executables in INSTALL_DIR 	#
#                       (or if it's me, in CB_INSTALL	        #
#                       also installs gmt scripts.		#
#                       					#
#%// Bert Kampes 27-Dec-2000					#
### RCS								#
# $Header: /users/kampes/DEVELOP/DORIS/SARtools/RCS/Makefile,   #
# v 3.8 2004/08/06 15:41:24 kampes Exp $			#
#%// TUDelft     16-Apr-2009					#
#################################################################

### The shell we're using ###
SHELL	=	/bin/sh

### Installdirdef should exist!
#INSTALL_DIR =	/usr/local/bin
INSTALL_DIR =	/home/dlevelt/src/Doris_s1_git/bin

### GCC compiler
CC 	=	g++
CFLAGS  =       -O3 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE  -D_LARGEFILE64_SOURCE #-m32 to force 32bit on 64bit platform

### Intel compiler
#CC	=	icpc
#CFLAGS	=	-Wp64 # -fast -O3 -parallel -auto-ilp32 -pc32

##################################################################
### THERE SHOULD BE NOTHING YOU WANT TO CHANGE BELOW THIS LINE ###
##################################################################
### Only for me, this will be ignored...
CB_INSTALL = 	../../executables/64bit

### The programs we want
PROGS	=	wrap \
		bkconvert \
		cpxmult \
		cpxdiv  \
		cpxconj \
		flapjack \
		cpxfiddle \
		floatmult \
		floatmask \
		readrasterheader \
		rasterheader \
		dateconv

# usedin install:
SCRIPTS =	
#SCRIPTS =	cpx2ps \
#		philamh2ps

### Compilation
default:	all
all:		$(PROGS) dummy

# dummy, since else makefile want to recompile the last util.
dummy:

# the utilities.
bkconvert:	bkconvert.o
		$(CC) $(CFLAGS) $@.o -o $@
wrap:		wrap.o
		$(CC) $(CFLAGS) $@.o -o $@
cpxmult:	cpxmult.o
		$(CC) $(CFLAGS) $@.o -o $@
cpxdiv: 	cpxdiv.o 
		$(CC) $(CFLAGS) $@.o -o $@
cpxconj:	cpxconj.o
		$(CC) $(CFLAGS) $@.o -o $@
cpxfiddle:	cpxfiddle.o
		$(CC) $(CFLAGS) $@.o -o $@
flapjack:	flapjack.o
		$(CC) $(CFLAGS) $@.o -o $@
floatmask:	floatmask.o
		$(CC) $(CFLAGS) $@.o -o $@
floatmult:	floatmult.o
		$(CC) $(CFLAGS) $@.o -o $@
readrasterheader:	readrasterheader.o
		$(CC) $(CFLAGS) $@.o -o $@
rasterheader:	rasterheader.o
		$(CC) $(CFLAGS) $@.o -o $@
dateconv:	dateconv.o
		$(CC) $(CFLAGS) $@.o -o $@


### Install in CB_INSTALL by linking/copying executables ###
install:	$(PROGS)
		dir=$(CB_INSTALL); \
        	if test -d $$dir; then \
		  $(MAKE) cbinstall; else $(MAKE) definstall; fi;

# or use ln instead of cp
#		  ln -sf `pwd`/$$p $(CB_INSTALL)/$$p; \

### Use symbolic links at our system, copy to /usr/local/bin on other.
definstall:	$(PROGS)
		dir=$(INSTALL_DIR); \
        	if test ! -d $$dir; then \
		  echo "Sorry, dir $(INSTALL_DIR) does not exist, exiting..."; exit; fi; \
		echo Installing in directory: $$dir; \
		list='$(PROGS) $(SCRIPTS)'; for p in $$list; do \
		  echo "Installing (copy): $$p"; \
		  cp -f $$p $(INSTALL_DIR)/$$p; \
		done
		$(MAKE) cleaner

### Use symbolic links at our system, copy to /usr/local/bin on other.
cbinstall:
		dir=$(CB_INSTALL); \
        	if test ! -d $$dir; then \
		  echo "Sorry, dir $(CB_INSTALL) does not exist, exiting..."; exit; fi; \
		echo Installing in directory: $$dir; \
		list='$(PROGS) $(SCRIPTS)'; for p in $$list; do \
		  echo "Installing (copy): $$p"; \
		  cp -f $$p $(CB_INSTALL)/$$p; \
		done
		$(MAKE) cleaner

lninstall:
		dir=$(CB_INSTALL); \
        	if test ! -d $$dir; then \
		  echo "Sorry, you are not me, exiting..."; exit; fi; \
		echo Installing in directory: $$dir; \
		list='$(PROGS) $(SCRIPTS)'; for p in $$list; do \
		  echo "Installing (link): $$p"; \
		  cp -f `pwd`/$$p $(CB_INSTALL)/$$p; \
		done
		  #ln -sf `pwd`/$$p $(CB_INSTALL)/$$p; \
		$(MAKE) cleaner

### Helpers ###
clean:	
		@rm -f *.o *dummy* *.bak
		@echo "* Removed junk."
### some reason under cygwin progs are not removed without ".exe"???
CYGWIN_EXE = 	$(PROGS:=.exe)
cleaner:	clean
		@rm -f $(PROGS) $(CYGWIN_EXE) a.out
		@echo "* Removed executables in source dir:  `pwd`."
uninstall:	cleaner
		dir=$(CB_INSTALL); \
        	if test -d $$dir; then \
		  cd $(CB_INSTALL); rm -f $(PROGS); \
		  echo "* Removed executables in install dir: $(CB_INSTALL)."; fi;
		dir=$(INSTALL_DIR); \
        	if test -d $$dir; then \
		  cd $(INSTALL_DIR); rm -f $(PROGS) $(CYGWIN_EXE); \
		  echo "* Removed executables in install dir: $(INSTALL_DIR)."; fi;

### How to make object files ###
.cc.o:		
	$(CC) $(CFLAGS) -c -o $(@) $<

### EOF.

=== debian/control ===
Source: doris
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Antonio Valentino <antonio.valentino@tiscali.it>
Section: contrib/science
Priority: optional
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               dh-python,
               tcsh | c-shell,
               libepr-api-dev,
               libfftw3-dev,
               liblapack-dev,
               libtriangle-dev,
               python3-all,
               python3-fastkml,
               python3-fiona,
               python3-gdal,
               python3-lxml,
               python3-numpy,
               python3-requests,
               python3-scipy,
               python3-setuptools,
               python3-shapely
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian-gis-team/doris
Vcs-Git: https://salsa.debian.org/debian-gis-team/doris.git
Homepage: http://doris.tudelft.nl

Package: doris
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         gawk | mawk,
         gdal-bin,
         python3-h5py,
         python3-lxml,
         python3-numpy,
         tcsh | c-shell
Recommends: gmt,
            gv,
            python3-doris,
            snaphu
Suggests: eog,
          imagemagick
Description: Delft object-oriented radar interferometric software
 DORIS is an Interferometric Synthetic Aperture Radar (InSAR) processor
 developed by the Delft Institute of Earth Observation and Space Systems
 of Delft University of Technology.
 .
 Interferometric products and endproducts such as Digital Elevation
 Models and displacement maps can be generated with this software from
 Single Look Complex data.
 Data from the satellites ERS, ENVISAT (first ENVISAT interferogram,
 DEM, and perspective view, JERS (first JERS interferogram), and
 RADARSAT (first RADARSAT interferogram) can be processed with the
 Doris software.

Package: python3-doris
Section: contrib/python
Architecture: all
Replaces: doris (<< 5.0.3~beta+dfsg-10)
Breaks: doris (<< 5.0.3~beta+dfsg-10)
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends},
         doris,
         python3-fastkml,
         python3-fiona,
         python3-gdal,
         python3-lxml,
         python3-numpy,
         python3-requests,
         python3-scipy,
         python3-shapely,
         gdal-bin
Recommends: snaphu
Description: Delft object-oriented radar interferometric software - Python tools
 DORIS is an Interferometric Synthetic Aperture Radar (InSAR) processor
 developed by the Delft Institute of Earth Observation and Space Systems
 of Delft University of Technology.
 .
 Interferometric products and endproducts such as Digital Elevation
 Models and displacement maps can be generated with this software from
 Single Look Complex data.
 Data from the satellites ERS, ENVISAT (first ENVISAT interferogram,
 DEM, and perspective view, JERS (first JERS interferogram), and
 RADARSAT (first RADARSAT interferogram) can be processed with the
 Doris software.
 .
 This package contains support modules written in Python.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# @NOTE: tools directly called by doris are:
#           helpdoris
#           plotcpm
#           plotoffsets
#           cpxfiddle
#           envisat_dump_data
#           envisat_dump_header
#           envisat_dump_header2doris.csh
#           tsx_dump_data.py
#           tsx_dump_header2doris.py
#           csk_dump_data.py
#           csk_dump_header2doris.py
#           rs2_dump_data.py
#           rs2_dump_header2doris.py


export DEB_BUILD_MAINT_OPTIONS=hardening=+all,+bindnow
CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS)
CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
COMMON_FLAGS = -O3 -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE
EXTRA_FLAGS = -Wno-deprecated -D__USE_FFTW_LIBRARY__ -D__USE_LAPACK_LIBRARY__ -D__X86PROCESSOR__


%:
	dh $@ --with python3

override_dh_auto_configure:
	if [ ! -f doris_core/Makefile.bak ]; then \
		mv doris_core/Makefile doris_core/Makefile.bak; \
	fi
	rm -f doris_core/Makefile
	doris_core/configure < /dev/null
	mv Makefile doris_core
	dh_auto_configure --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build --buildsystem=makefile --sourcedirectory=sar_tools -- CFLAGS="$(CXXFLAGS) $(COMMON_FLAGS)" LDFLAGS="$(LDFLAGS)"
	dh_auto_build --buildsystem=makefile --sourcedirectory=envisat_tools -- CFLAGS="$(CFLAGS) $(COMMON_FLAGS)" LDFLAGS="$(LDFLAGS)"
	dh_auto_build --buildsystem=makefile --sourcedirectory=doris_core -- CFLAGS="$(CXXFLAGS) $(COMMON_FLAGS) $(EXTRA_FLAGS)" LDFLAGS="$(LDFLAGS)"
	dh_auto_build --buildsystem=pybuild

override_dh_auto_install:
	dh_auto_install --buildsystem=pybuild -p python3-doris

	install -D --mode=0755 debian/doris.sh debian/doris/usr/bin/doris

	dh_auto_install --sourcedirectory=sar_tools -- INSTALL_DIR=../debian/doris/usr/lib/doris
	install -D --mode=0644 sar_tools/README \
		debian/doris/usr/share/doc/doris/README_sar_tools.txt

	dh_auto_install --sourcedirectory=envisat_tools -- INSTALL_DIR=../debian/doris/usr/lib/doris
	rm -f debian/doris/usr/lib/doris/*.csh
	install -D --mode=0755 envisat_tools/envisat_dump_header2doris.csh \
		debian/doris/usr/share/doris/envisat_dump_header2doris.csh
	install -D --mode=0644 envisat_tools/README \
		debian/doris/usr/share/doc/doris/README_envisat_tools.txt

	#dh_auto_install --sourcedirectory=doris_core -- INSTALLDIR=../debian/doris/usr/lib/doris
	install -D --mode=0755 doris_core/doris debian/doris/usr/lib/doris

	cp bin/* debian/doris/usr/share/doris
	chmod 0755 debian/doris/usr/share/doris/*
	rm -f debian/doris/usr/share/doris/README*
	install -D --mode=0644 bin/README \
		debian/doris/usr/share/doc/doris/README_bin.txt
	install -D --mode=0644 bin/README_CSK.txt \
		debian/doris/usr/share/doc/doris/README_CSK.txt

	dh_auto_install --buildsystem=makefile

	rm -f debian/doris/usr/lib/python*/dist-packages/doris_stack/functions/create_image.py

override_dh_auto_clean:
	$(MAKE) -C sar_tools cleaner
	#$(MAKE) -C envisat_tools cleaner
	rm -f envisat_tools/*.o \
	      envisat_tools/envisat_dump_header \
	      envisat_tools/envisat_dump_data \
	      envisat_tools/envisat_dump_HH \
	      envisat_tools/envisat_dump_VV
	rm -rf doris.egg-info
	if [ -f doris_core/Makefile ]; then \
		$(MAKE) -C doris_core cleaner;\
		if [ -f doris_core/Makefile.bak ]; then \
			rm -f doris_core/Makefile;\
			mv doris_core/Makefile.bak doris_core/Makefile;\
		fi \
	fi
	dh_auto_clean --buildsystem=makefile
	dh_auto_clean --buildsystem=pybuild

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

override_dh_auto_test:
	dh_auto_test --buildsystem=pybuild

.PHONY: override_dh_auto_configure override_dh_auto_build \
        override_dh_auto_install override_dh_auto_clean \
        override_dh_auto_test

=== debian/tests/control ===
Test-Command: doris -h > /dev/null 2>&1
Depends: @
Restrictions: superficial

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)\.([Bb]eta|[>a]lpha|[Dd]ev)/$1~\L$2/,\
filenamemangle=s/(?:.*?)?(?:rel|v)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/doris-v\L$1.$2/,\
repacksuffix=+dfsg \
https://github.com/TUDelftGeodesy/Doris/releases \
(?:.*?/archive/)?(?:rel|v|doris)?[\-\_]?(\d[\d\.]+)(\S*)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
